Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /v1/sessions
Retrieves all sessions under the current account with cursor pagination. Results are sorted by creation time in descending order (newest first).
| Header | Required | Description |
|---|
Authorization | Yes | Bearer $QODER_PAT |
Query parameters
| Parameter | Type | Required | Description |
|---|
limit | integer | No | Maximum number of records to return. Default 20 |
after_id | string | No | Cursor pagination: return records after this ID |
before_id | string | No | Cursor pagination: return records before this ID |
Example request
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/sessions?limit=3" \
-H "Authorization: Bearer $QODER_PAT"
Example response
HTTP 200 OK
{
"data": [
{
"id": "sess_019e3bb1e8c171fd9abbb1477ffb84cc",
"type": "session",
"agent_id": "agent_019e390add9f7bac9b6cc806db46fcbd",
"agent": { "...": "..." },
"environment_id": "env_019e2590d33f711fabf42f2857cecd8a",
"title": "API-doc-verification-session",
"status": "idle",
"resources": [],
"vault_ids": [],
"memory_store_ids": [],
"usage": { "input_tokens": 0, "output_tokens": 0 },
"created_at": "2026-05-18T15:26:15.747298Z",
"updated_at": "2026-05-18T15:26:15.747298Z"
}
],
"first_id": "sess_019e3bb1e8c171fd9abbb1477ffb84cc",
"last_id": "sess_019e259100f573c08b0b20005cce9828",
"has_more": false
}
Response fields
| Field | Type | Description |
|---|
data | array | List of Session objects |
first_id | string | ID of the first record on the current page |
last_id | string | ID of the last record on the current page |
has_more | boolean | Whether more records are available |
Use last_id as the after_id parameter on the next request to page forward.
Errors
| HTTP | Type | Trigger |
|---|
| 401 | authentication_error | PAT invalid or expired |
See Errors for the full error envelope.